org.eclipse.cdt.utils.coff

## Class ReadMemoryAccess

- java.lang.Object
- - org.eclipse.cdt.utils.coff.ReadMemoryAccess

    public class ReadMemoryAccess
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReadMemoryAccess(byte[] octets)`
`ReadMemoryAccess(byte[] octets, boolean le)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`byte` `getByte()`
`byte` `getByte(int offset)`
`void` `getBytes(byte[] octets)`
`void` `getBytes(byte[] octets, int offset)`
`void` `getBytes(byte[] octets, int offset, int length)`
`int` `getInt()`
`int` `getIntBE()`
`static int` `getIntBE(byte[] b)`
`int` `getIntBE(int offset)`
`int` `getIntLE()`
`static int` `getIntLE(byte[] b)`
`int` `getIntLE(int offset)`
`long` `getLong()`
`long` `getLongBE()`
`long` `getLongBE(byte[] b)`
`long` `getLongBE(int offset)`
`long` `getLongLE()`
`long` `getLongLE(byte[] b)`
`long` `getLongLE(int offset)`
`short` `getShort()`
`short` `getShortBE()`
`static short` `getShortBE(byte[] b)`
`short` `getShortBE(int offset)`
`short` `getShortLE()`
`static short` `getShortLE(byte[] b)`
`short` `getShortLE(int offset)`
`int` `getSize()`
`short` `getUnsignedByte()`
`short` `getUnsignedByte(int offset)`
`long` `getUnsignedIntBE()`
`static long` `getUnsignedIntBE(byte[] b)`
`long` `getUnsignedIntBE(int offset)`
`long` `getUnsignedIntLE()`
`static long` `getUnsignedIntLE(byte[] b)`
`long` `getUnsignedIntLE(int offset)`
`int` `getUnsignedShort()`
`int` `getUnsignedShortBE()`
`static int` `getUnsignedShortBE(byte[] b)`
`int` `getUnsignedShortBE(int offset)`
`int` `getUnsignedShortLE()`
`static int` `getUnsignedShortLE(byte[] b)`
`int` `getUnsignedShortLE(int offset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReadMemoryAccess

    public ReadMemoryAccess(byte[] octets)

#### ReadMemoryAccess

    public ReadMemoryAccess(byte[] octets,
                            boolean le)

### Method Detail

#### getSize

    public int getSize()

#### getBytes

    public void getBytes(byte[] octets)

#### getBytes

    public void getBytes(byte[] octets,
                         int offset)

#### getBytes

    public void getBytes(byte[] octets,
                         int offset,
                         int length)

#### getByte

    public byte getByte()

#### getUnsignedByte

    public short getUnsignedByte()

#### getByte

    public byte getByte(int offset)

#### getUnsignedByte

    public short getUnsignedByte(int offset)

#### getShort

    public short getShort()

#### getUnsignedShort

    public int getUnsignedShort()

#### getShortLE

    public short getShortLE()

#### getUnsignedShortLE

    public int getUnsignedShortLE()

#### getShortLE

    public short getShortLE(int offset)

#### getShortLE

    public static short getShortLE(byte[] b)

#### getUnsignedShortLE

    public int getUnsignedShortLE(int offset)

#### getUnsignedShortLE

    public static int getUnsignedShortLE(byte[] b)

#### getShortBE

    public short getShortBE()

#### getUnsignedShortBE

    public int getUnsignedShortBE()

#### getShortBE

    public short getShortBE(int offset)

#### getShortBE

    public static short getShortBE(byte[] b)

#### getUnsignedShortBE

    public int getUnsignedShortBE(int offset)

#### getUnsignedShortBE

    public static int getUnsignedShortBE(byte[] b)

#### getInt

    public int getInt()

#### getIntLE

    public int getIntLE()

#### getUnsignedIntLE

    public long getUnsignedIntLE()

#### getUnsignedIntLE

    public long getUnsignedIntLE(int offset)

#### getUnsignedIntLE

    public static long getUnsignedIntLE(byte[] b)

#### getIntLE

    public int getIntLE(int offset)

#### getIntLE

    public static int getIntLE(byte[] b)

#### getIntBE

    public int getIntBE()

#### getUnsignedIntBE

    public long getUnsignedIntBE()

#### getIntBE

    public int getIntBE(int offset)

#### getIntBE

    public static int getIntBE(byte[] b)

#### getUnsignedIntBE

    public long getUnsignedIntBE(int offset)

#### getUnsignedIntBE

    public static long getUnsignedIntBE(byte[] b)

#### getLong

    public long getLong()

#### getLongLE

    public long getLongLE()

#### getLongLE

    public long getLongLE(int offset)

#### getLongLE

    public long getLongLE(byte[] b)

#### getLongBE

    public long getLongBE()

#### getLongBE

    public long getLongBE(int offset)

#### getLongBE

    public long getLongBE(byte[] b)